void printi(int val);

int main()
{
  int i, val = 0;
  enum {
    TEST_ENUM_0,
    TEST_ENUM_1,
    TEST_ENUM_2,
    TEST_ENUM_3,
    TEST_ENUM_4
  };

  for (i = 0; i < 10; i++) {
    switch (i) {
    case TEST_ENUM_0: val = 10; break;
    case TEST_ENUM_1: val = 20; break;
    case TEST_ENUM_2: val = 30; break;
    case TEST_ENUM_3: val = 40; break;
    case TEST_ENUM_4: val = 50; break;
    default: val = i;  break;
    }
    printi(i);
    printi(val);
  }

  return 0;
}
